## org.eclipse.emf.importer.ui.contribution.base
Class ModelImporterDetailPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
                      org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage

All Implemented Interfaces:
  IModelImporterPage, IDialogPage, IMessageProvider, IWizardPage, Listener

Direct Known Subclasses:
  RoseDetailPage

    public class ModelImporterDetailPage

extends ModelConverterURIPage
implements IModelImporterPage

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary
`protected java.lang.String[]` `filterExtensions`
`protected Text` `genModelNameText`
`protected Button` `loadButton`
`protected boolean` `showGenModel`
`protected boolean` `usingInternalSetName`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
`browseFileSystemButton, browseWorkspaceButton, uriText`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ModelImporterDetailPage(ModelImporter modelImporter, java.lang.String pageName)`

Method Summary
`protected void` `addControl(Composite parent)`
`protected void` `addDetailControl(Composite parent)`
`protected void` `addURIControl(Composite parent)`
`protected void` `adjustLoadButton()`
`protected boolean` `browseFileSystem()`
`protected boolean` `browseWorkspace()`
`protected void` `createGenModelNameControl(Composite parent)`
`void` `dispose()`
`protected void` `doHandleEvent(Event event)`
`protected java.lang.String` `getDefaultGenModelFileName()`
`protected java.lang.String[]` `getFilterExtensions()`
`ModelImporter` `getModelImporter()`
`protected java.lang.String` `getSelectModelLabel()`
`protected java.lang.String` `getURITextInitialValue()`
`protected java.lang.String` `getURITextLabel()`
`protected void` `handleOriginalModelFile()`
`protected void` `internalSetGenModelFileName(java.lang.String name)`
`boolean` `isPageComplete()`
`protected boolean` `isValidWorkspaceResource(IResource resource)`
`protected void` `pageActivated(boolean firstTime, int cause)`
`protected void` `refreshModel()`
`protected void` `refreshModel(Monitor monitor)`
`boolean` `showGenModel()`
`protected boolean` `supportMultipleURIs()`
`protected void` `uriTextModified(java.lang.String text)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
`createControl, createURIControl, getBrowseFileSystemButtonLabel, getBrowseWorkspaceButtonLabel, setURIText`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Field Detail

### loadButton

    protected Button loadButton

### genModelNameText

    protected Text genModelNameText

### filterExtensions

    protected java.lang.String[] filterExtensions

### showGenModel

    protected boolean showGenModel

### usingInternalSetName

    protected boolean usingInternalSetName

Constructor Detail

### ModelImporterDetailPage

    public ModelImporterDetailPage(ModelImporter modelImporter,
                                   java.lang.String pageName)

Method Detail

### getModelImporter

    public ModelImporter getModelImporter()

  Specified by:
    `getModelImporter` in interface `IModelImporterPage`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IDialogPage`
  Overrides:
    `dispose` in class `ModelConverterURIPage`

### showGenModel

    public boolean showGenModel()

### pageActivated

    protected void pageActivated(boolean firstTime,
                                 int cause)

  Overrides:
    `pageActivated` in class `ModelConverterPage`

### handleOriginalModelFile

    protected void handleOriginalModelFile()

### addControl

    protected void addControl(Composite parent)

  Overrides:
    `addControl` in class `ModelConverterURIPage`

### addDetailControl

    protected void addDetailControl(Composite parent)

### getURITextInitialValue

    protected java.lang.String getURITextInitialValue()

  Overrides:
    `getURITextInitialValue` in class `ModelConverterURIPage`

### addURIControl

    protected void addURIControl(Composite parent)

  Overrides:
    `addURIControl` in class `ModelConverterURIPage`

### createGenModelNameControl

    protected void createGenModelNameControl(Composite parent)

### doHandleEvent

    protected void doHandleEvent(Event event)

  Overrides:
    `doHandleEvent` in class `ModelConverterURIPage`

### uriTextModified

    protected void uriTextModified(java.lang.String text)

  Overrides:
    `uriTextModified` in class `ModelConverterURIPage`

### adjustLoadButton

    protected void adjustLoadButton()

### getURITextLabel

    protected java.lang.String getURITextLabel()

  Overrides:
    `getURITextLabel` in class `ModelConverterURIPage`

### getSelectModelLabel

    protected java.lang.String getSelectModelLabel()

### supportMultipleURIs

    protected boolean supportMultipleURIs()

  Overrides:
    `supportMultipleURIs` in class `ModelConverterURIPage`

### getFilterExtensions

    protected java.lang.String[] getFilterExtensions()

### isValidWorkspaceResource

    protected boolean isValidWorkspaceResource(IResource resource)

### browseFileSystem

    protected boolean browseFileSystem()

  Overrides:
    `browseFileSystem` in class `ModelConverterURIPage`

### browseWorkspace

    protected boolean browseWorkspace()

  Overrides:
    `browseWorkspace` in class `ModelConverterURIPage`

### refreshModel

    protected void refreshModel()

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `IWizardPage`
  Overrides:
    `isPageComplete` in class `ModelConverterPage`

### refreshModel

    protected void refreshModel(Monitor monitor)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefaultGenModelFileName

    protected java.lang.String getDefaultGenModelFileName()

### internalSetGenModelFileName

    protected void internalSetGenModelFileName(java.lang.String name)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.